futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.AD.Rev.Loop

Synopsis

- diffLoop :: (Stms SOACS -> ADM ()) -> Pat Type -> StmAux () -> Exp SOACS -> ADM () -> ADM ()
- stripmineStms :: Stms SOACS -> ADM (Stms SOACS)

# Documentation

diffLoop :: (Stms SOACS -> ADM ()) -> Pat Type -> StmAux () -> Exp SOACS -> ADM () -> ADM () Source #

Transforms a loop into its reverse-mode derivative.

stripmineStms :: Stms SOACS -> ADM (Stms SOACS) Source #